Bug 176433 - Yes, I know when I unlplug the AC adapter, you don't need to tell me
Yes, I know when I unlplug the AC adapter, you don't need to tell me
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 13:48 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 04:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-12-22 13:48:49 EST
Can we get some sort of pref (hidden in gconf-editor is fine) to make this
dialog go away forever? Please? I'll buy a beer.... :)
Comment 1 Dave Malcolm 2005-12-22 13:53:00 EST
Or make the dialog go away automatically when you plug back in?
Comment 2 Richard Hughes 2005-12-22 18:14:37 EST
For comment #1, it already does this in g-p-m CVS:

/*
 * for where we add back the ac_adapter before
 * the "AC Power unplugged" message times out.
 */
libnotify_clear ();

i.e. clears the message when you re-insert the ac_adapter. I'll write a quick
patch for a gconf key to disable the message, although I think this should still
stay default to on.

I'll post back when the required changes are in CVS.

Richard.
Comment 3 Richard Hughes 2005-12-22 18:29:23 EST
I work quick. If you use g-p-m CVS (as of five minutes ago) you can toggle the
gconf key "/apps/gnome-power-manager/notify/ac_adapter" to disable the
notification. And Bill, I like "Guinness Extra Cold", which you can fly over to
me, or if it's easier for you, book me on a flight and you can buy me one in
person. :-)

Richard.

p.s. New version of g-p-m depends on hal 0.5.6 (CVS) so we can't push out a new
g-p-m into rawhide without updating HAL first. David, do you want to push HAL
CVS in for a stint in rawhide to knock out a few bugs or wait for the release?
Comment 4 John (J5) Palmieri 2005-12-23 13:31:27 EST
Hmm, plugging a power cord in and out should just be indicated by the icon. The
fact that the screen dims or lightens combined with the icon change should be
enough.  Perhaps we should differentiate the icons a bit more.
Comment 5 Richard Hughes 2005-12-24 06:00:01 EST
J5, The icon does change a bit, look at
http://www.gnome.org/projects/gnome-power-manager/gpm.html if you've not got
g-p-m installed. The warning is designed to say in a nice way "i'm now running
on battery" -- so if you accidentally janked the power cord (like me,
accidentally with your foot), you get a bit more feedback that just the icon
changing. It's configurable now, and I don't even mind if you turn the
notification off for fedora. :-)
On a related note, you can build g-p-m CVS with the 0.3.0 libnotify in rawhide,
but the posisioning of the widget doesn't work like 0.2.0 used to. I think it's
a bug in notify-daemon somewhere. I'll have a poke around this weekend at some
point. Until then, HAPPY CHRISTMAS!

Richard.
Comment 6 Richard Hughes 2006-01-17 05:46:45 EST
There are lots more configuration options for the notifications in gconf, in the
recently released 0.3.4. Can you try that please.
Comment 7 Richard Hughes 2007-05-14 04:20:16 EDT
Current SVN head also includes a link in the libnotify window "Don't show me
this again" so people can easily ignore the notification without digging into gconf.

Note You need to log in before you can comment on or make changes to this bug.